#!/usr/bin/python

import sys

def revfasta(fin, fout):
    header = fin.readline()
    header = header.strip('\n')
    fout.write(header + " reversed\n")
    lst = []
    for line in fin:
        line = line.strip('\n')
        linelst = [l for l in line]
        linelst.reverse()
        linerev = ''.join(linelst) + '\n'
        lst.append(linerev)
    lst.reverse()
    fout.writelines(lst)

if __name__ == '__main__':
    if len(sys.argv[1:]) > 0:
        for fname in sys.argv[1:]:
            revfasta(open(fname), open(fname+'.rev', 'w'))
    else:
        revfasta(sys.stdin, sys.stdout)
    